// Example902
// data indicator
//

void setup(){
  size(400,400);
  background(0);
}

int time_cur=0, time_last=0;
float data, t=0.0;

void draw(){
  time_cur=millis();
  if(time_cur-time_last>1000){
    time_last=millis();

    displayText();
    data=40.0+noise(t)*20.0; // data
    displayData(data);
    t+=0.1;
  }
}

void displayData(float data){
  stroke(0,255,255);// data color
  float humidity=map(data, 0,100, PI, TWO_PI);  
  arc(200,200,200,200,PI,humidity);
    
  fill(255);
  text(int(data), 190, 200);
  text("%", 220,200);
  fill(0);
}

void displayText(){
  strokeWeight(50);
  strokeCap(SQUARE);
  background(0);
  textSize(24);
  textAlign(CENTER);
  fill(255);
  text("Humidity",200,50);
  text("0", 100, 230);
  text("100", 300, 230);
  fill(0); // black interior region
  stroke(255); // white circle
  arc(200,200,200,200,PI,TWO_PI);
}