// Example902
// data indicator
//

void setup(){
  size(400,400);
  background(0);
}

int time_cur=0, time_last=0;
float val_cur, t=0.0;

void draw(){
  time_cur=millis();
  if(time_cur-time_last>1000){
    time_last=millis();

    displayText();
    val_cur=15+noise(t)*20.0; // data
    displayData(val_cur);
    t+=0.1;
  }
}

void displayData(float data){
  stroke(255, 0, 255);// data color
  float temp=map(data, 0,50, PI, TWO_PI);  
  arc(200,200,200,200,PI,temp);
    
  fill(255);
  text(int(data), 190, 200);
  text("\u00B0C", 220,200);
  fill(0);
}

void displayText(){
  strokeWeight(50);
  strokeCap(SQUARE);
  background(0);
  textSize(24);
  textAlign(CENTER);
  fill(255);
  text("Temperature",200,50);
  text("0", 100, 230);
  text("50", 300, 230);
  fill(0); // black interior region
  stroke(255); // white circle
  arc(200,200,200,200,PI,TWO_PI);
}