// indicator superclass
class Indicator{
  int x, y, wid;
  
  Indicator(int tempX, int tempY, int tempWid){
    x=tempX;
    y=tempY;
    wid=tempWid;
  }
  
  void displayText(int min, int max, String name){
    strokeWeight(wid/8);
    strokeCap(SQUARE);
    textSize(24);
    textAlign(CENTER);
    fill(255);
    text(name,x,y-wid/2+wid/8);
    text(str(min), x-wid/4, y+30);
    text(str(max), x+wid/4, y+30);
    fill(0); // black interior region
    stroke(255); // white circle
    arc(x,y,wid/2,wid/2,PI,TWO_PI);
  }
  
  void displayData(float data, int min, int max, color col, String tU){
    stroke(col);// data color
    float data1=map(data, min, max, PI, TWO_PI);
    arc(x,y,wid/2,wid/2,PI,data1);
    fill(255);
    text(int(data), x-10, y);
    text(tU, x+20,y);
    fill(0);
  }
}