class Indicator{
  int x, y, wid;
  
  Indicator(int tempX, int tempY, int tempWid){
    x=tempX;
    y=tempY;
    wid=tempWid;
  }
  
  void showData(float data){
    this.displayText();
    this.displayData(data);
  }
  
  void displayText(){
    strokeWeight(wid/8);
    strokeCap(SQUARE);
    textSize(24);
    textAlign(CENTER);
    fill(255);
    text("Humidity",x,y-wid/2+wid/8);
    text("0", x-wid/4, y+30);
    text("100", x+wid/4, y+30);
    fill(0); // black interior region
    stroke(255); // white circle
    arc(x,y,wid/2,wid/2,PI,TWO_PI);
  }
  
  void displayData(float data){
    stroke(0,255,255);// data color
    float humidity=map(data, 0, 100, PI, TWO_PI);
    arc(x,y,wid/2,wid/2,PI,humidity);
    
    fill(255);
    text(int(data), x-10, y);
    text("%", x+20,y);
    fill(0);
  }
}