// simple clock

void setup() {
  size(240, 240);
//  frameRate(1);
}

void draw() {
  background(220);
  noStroke();
  ellipse (120, 120, 200, 200);
  strokeWeight(4);
  stroke(120);
  for(int i=0; i<=360; i+=30){
    point(90*cos(TWO_PI*i/360.0)+120,90*sin(TWO_PI*i/360.0)+120);
  }
  int s = second();
  int m = minute();
  int h = hour();
  stroke(0,0,255);
  strokeWeight(4);
  line(120, 120 , 60*cos((h+m/60.0)%12*TWO_PI/12-HALF_PI)+120, 
    60*sin((h+m/60.0)%12*TWO_PI/12-HALF_PI)+120);
  stroke(0,255,0);
  strokeWeight(2);
  line(120, 120 , 80*cos((m+s/60.0)*TWO_PI/60-HALF_PI)+120, 
    80*sin((m+s/60.0)*TWO_PI/60-HALF_PI)+120);
  stroke(255,0,0);
  strokeWeight(1);
  line(120, 120 , 90*cos(s*TWO_PI/60-HALF_PI)+120, 
    90*sin(s*TWO_PI/60-HALF_PI)+120);
}